Bug 186891 - feature: make yum use rsync to minimize data download
feature: make yum use rsync to minimize data download
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 04:01 EST by James Hunt
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-03 00:10:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2006-03-27 04:01:57 EST
Description of problem:

If yum could be integrated with rsync, the amount of data downloaded for updates
could be minimized.

For example, if the users machine already has kernel-xxx.rpm sitting in
/var/cache/yum/, and yum determines that a new kernel (kernel-yyy.rpm) is
available as an update, allowing rsync to analyze kernel-xxx.rpm to see the
similarities to kernel-yyy.rpm may well reduce the actual amount of data
required to create kernel-yyy.rpm on the local system.

Logic:

if ( package_update_available )
{
  if ( cached_version_of_package_on_local_box )
  {
    /* rsync "/var/cache/yum/old_package_version.rpm" against
     * http://fedora.redhat.com/..../new_package_version.rpm".
     */
  }
  else
  {
    /* download as normal. */
  }
}


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Seth Vidal 2006-04-03 00:10:37 EDT
wontfix.

rsync is not a good idea for mirrors, if nothing else.

Note You need to log in before you can comment on or make changes to this bug.